net.sf.jasperreports.engine.export.oasis

## Class FileBufferedOasisZip

- java.lang.Object
- - net.sf.jasperreports.engine.export.zip.AbstractZip
  - - net.sf.jasperreports.engine.export.oasis.OasisZip
    - - net.sf.jasperreports.engine.export.oasis.FileBufferedOasisZip

-     public class FileBufferedOasisZip
      extends OasisZip

  Version:
    $Id: FileBufferedOasisZip.java 5891 2013-01-15 15:33:06Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.export.oasis.OasisZip

      `MIME_TYPE_ODS, MIME_TYPE_ODT, PROLOG`

    - ### Fields inherited from class net.sf.jasperreports.engine.export.zip.AbstractZip

      `exportZipEntries`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileBufferedOasisZip()`
    `FileBufferedOasisZip(java.lang.String mimeType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExportZipEntry` | `createEntry(java.lang.String name)`

    - ### Methods inherited from class net.sf.jasperreports.engine.export.oasis.OasisZip

      `getContentEntry, getStylesEntry`

    - ### Methods inherited from class net.sf.jasperreports.engine.export.zip.AbstractZip

      `addEntry, dispose, zipEntries`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileBufferedOasisZip

          public FileBufferedOasisZip()
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### FileBufferedOasisZip

          public FileBufferedOasisZip(java.lang.String mimeType)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### createEntry

          public ExportZipEntry createEntry(java.lang.String name)

      Specified by:
        `createEntry` in class `AbstractZip`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com